﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Tsi1.BusinessLayer.Helpers
{
    public static class ErrorMessages
    {
        public const string UserDoesNotExist = "El usuario '{0}' no existe";
        public const string IncorrectPassword = "Contraseña incorrecta";
        public const string UserTypeDoesNotExist = "El tipo de usuario con id '{0}' no existe";
        public const string StudentDoesNotExist = "El estudiante con Id de usuario: '{0}' no existe";
        public const string StudentCourseAlreadyExists = "El estudiante '{0}' ya se encuentra matriculado en el curso '{1}'";
        public const string ProffesorDoesNotExist = "El profesor con Id de usuario: '{0}' no existe";
        public const string ProfessorCourseAlreadyExists = "El profesor '{0}' ya es docente del curso '{1}'";
        public const string InvalidUsername = "El nombre de usuario debe ser de la forma: 'usuario@facultad'";


        public const string ForumDoesNotExist = "El foro con id '{0}' no existe";
        public const string DuplicateForumName = "Ya existe un foro con nombre '{0}'";
        public const string DuplicateForumUser = "El usuario '{0}' ya se encuentra matriculado al foro '{1}'";
        

        public const string PostDoesNotExist = "El post con id '{0}' no existe";
        public const string PostMessageDoesNotExist = "El mensage con id '{0}' no existe";

        public const string CannotConnectToSmtpServer = "No se pudo conectar al servidor SMTP";
        public const string CannotAuthenticateToSmtpServer = "No se pudo autenticar en el servidor SMTP";
        public const string CannotSendEmail = "No se pudo mandar el mail con asunto {0}";

        public const string CourseDoesNotExist = "El curso '{0}' no existe";
        public const string DuplicateCourseName = "Ya existe un curso con nombre '{0}'";

        public const string TenantDoesNotExist = "La Facultad '{0}' no existe";
        public const string DuplicateTenantName = "Ya existe una Facultad con nombre '{0}'";

        public const string InvalidUserType = "Tipo de usuario invalido '{0}'";

    }
}
