using System;
using System.Collections.Generic;
using System.Text;
using System.Threading.Tasks;
using Tsi1.BusinessLayer.Dtos;
using Tsi1.BusinessLayer.Helpers;

namespace Tsi1.BusinessLayer.Interfaces
{
    public interface ITenantService
    {
        Task<ServiceResult<int>> GetByName(string tenantName);

        Task<ServiceResult<List<TenantPreviewDto>>> GetAll();

        Task<ServiceResult<TenantPreviewDto>> Create(TenantCreateDto newTenant);
    }
}
